QGIS Application - Feature request #4252
different built-in tools calculate inconsistent polygon areas
2011-09-01 04:24 PM - Alister Hood

Status: Closed

Priority: Normal

Assignee: Magnus Homann

Category: Projection Support

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 14197
Description

- When using the "measure area" tool, there is an "ellipsoidal" checkbox option. If this is unchecked, a slightly different area is reported,
which | think | have seen called the "planimetric" area.

- The "Identify results" for polygons include a "Derived" area. This area is the "ellipsoidal” area.

- The field calculator can also report the area of a polygon. This area is always the "planimetric" area.

| think this behaviour should be tidied up:

- either ellipsoidal or planimetric (I'm not sure which one) measurements should be default everywhere.

- assuming both types of measurement are actually useful, then it should be possible everywhere to use either type. This could be done
by a single global or project preference which controls the results for all three tools, or it could be implemented separately for each tool. |
don't know which approach would be best.

Associated revisions

Revision ddbdcf8a - 2016-02-14 11:04 AM - Nyall Dawson

Fix project unit confusion (pt 2): add project distance unit setting

Adds a new option in project properties to set the units used for
distance measurements. This setting defaults to the units set in
QGIS options, but can then be overridden for specific projects.

The setting is respected for length and perimeter calculations in:
- Attribute table field update bar

- Field calculator calculations

- Identify tool derived length and perimeter values

- Default unit shown in measure dialog
Also adds unit tests to ensure that length and perimeter calculated
by attribute table update bar, field calculator and identify tool

are consistent wrt ellipsoidal calculations and distance units.

(refs #13209, #12939, #2402, #4857, #4252)

Revision dfdcec89 - 2016-02-15 02:47 AM - Nyall Dawson
Fix project unit confusion (pt 3): add area unit settings with a
ton of available area units (eg m2, km2, mi2, ft2, yd2, ha, ac,

etc)

Adds a new option in both the QGIS setting and project properties to
set the units used for area measurements. Just like the distance
setting, this defaults to the units set in QGIS options, but can

then be overridden for specific projects.

The setting is respected for area calculations in:

- Attribute table field update bar

- Field calculator calculations

- Identify tool derived length and perimeter values

Also adds unit tests to ensure that area calculated by attribute table
update bar, field calculator and identify tool are consistent wrt
ellipsoidal calculations and area units.

TODO: make measure tool respect area setting

(refs #13209, #4252 and fixes #12939, #2402, #4857)

Revision 479d90a5 - 2016-02-15 07:26 AM - Nyall Dawson
Make measure tool respect project area unit setting

Also add unit tests for measure tool length and area measurement
to ensure they return the same results as field calculator

and identify tool

Refs #13209, #4252

Revision 4094bae9 - 2016-02-16 02:12 AM - Nyall Dawson

Respect project ellipsoid and unit settings in virtual fields

Fix #12622, #4252

History

#1 - 2011-12-10 05:38 AM - Paolo Cavallini

See also #4416 and #4628

#2 - 2011-12-16 02:11 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#3 - 2012-03-10 09:22 PM - Alister Hood

Also see #3296 | think.

#4 - 2012-04-15 10:09 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

2025-04-26

2/3



#5 - 2012-05-29 12:00 AM - Alister Hood

Note that the "export geometry columns" feature in ftools is now capable of calculating ellipsoidal areas, so | guess people should be encouraged to use
that tool. It is a lot slower though.

#6 - 2012-08-28 03:23 PM - Magnus Homann

- Assignee set to Magnus Homann

#7 - 2012-09-04 10:56 AM - Magnus Homann

All except field calculator should be consitent now. Work is ongoing.

#8 - 2012-09-16 10:55 PM - Alister Hood

Also see #2402 and possibly #3122

#9 - 2012-10-06 02:15 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have
#10 - 2016-02-15 05:13 PM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"4094bae960a8521ecabdfe281408ae2e9ad773be".
